Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		devede
Version:	3.9
Release:	1
Summary:	DeVeDe is a program to create video DVDs and CDs (VCD, sVCD or CVD)
Group:		Multimedia/Video
License:	GPLv3+
URL:		http://www.rastersoft.com/programas/devede.html
Source0:	http://www.rastersoft.com/descargas/%{name}-%{version}.tar.bz2
Source1:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	python >= 2.4
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Requires:	MPlayer
Requires:	dvdauthor
Requires:	vcdimager
Requires:	mkisofs
Requires:	python >= 2.4
Requires:	PyGTK

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

BuildArch:	noarch

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
DeVeDe is a program to create video DVDs and CDs (VCD, sVCD or CVD), 
suitables for home players, from any number of video files, in any 
of the formats supported by Mplayer. The big advantage over other 
utilities is that it only needs Mplayer, Mencoder, DVDAuthor, VCDImager 
and MKisofs (well, and Python 2.4, PyGTK and PyGlade), so its 
dependencies are really small.

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q

# Fix end-of-line-encoding
sed -i 's/\r//' docs/psf.html 

# Fix devede module directory
sed -i 's!/usr/lib/!%{python_sitelib}/!' devede.py

%build

%install
rm -rf $RPM_BUILD_ROOT

./install.sh \
  --uninstall=no \
  --targeted=yes \
  --DESTDIR=$RPM_BUILD_ROOT \
  --prefix=%_prefix \
  --libdir=%python_sitelib \
  --pkgdocdir=%_docdir/%{name}-%{version}

rm $RPM_BUILD_ROOT%_pixmaps/%{name}.svg
cp %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%_bindir/%{name}
%{python_sitelib}/%{name}
%_datadir/%{name}
%_applications/%{name}.desktop
%_pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 3.9-1
- Version update
* Sun May 25 2008 Christian Wasem <wasem@ccux-linux.de> 3.8-1
- Initial release
